Name: ascii
Version: 3.11
Release: 1
URL: http://www.catb.org/~esr/ascii/
Source0: %{name}-%{version}.tar.gz
License: BSD
Group: Utilities/Text
Summary: interactive ASCII name and synonym chart
Packager: Eric S. Raymond <esr@thyrsus.com>
BuildRoot: %{_tmppath}/%{name}-root
#Keywords: ASCII
#Destinations: freshmeat, mailto:vanonim@bluewin.ch

%description
The ascii utility provides easy conversion between various byte
representations and the American Standard Code for Information
Interchange (ASCII) character table.  It knows about a wide variety of
hex, binary, octal, Teletype mnemonic, ISO/ECMA code point, slang
names, XML entity names, and other representations.  Given any one on
the command line, it will try to display all others.  Called with no
arguments it displays a handy small ASCII chart.

%prep
%setup -q

%build
make %{?_smp_mflags} ascii ascii.1

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man1/
cp ascii "$RPM_BUILD_ROOT"%{_bindir}
cp ascii.1 "$RPM_BUILD_ROOT"%{_mandir}/man1/

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
%{_mandir}/man1/ascii.1*
%{_bindir}/ascii
%doc README COPYING

%changelog
* Mon Mar 15 2011 Eric S. Raymond <esr@snark.thyrsus.com> - 3.11-1
- Recognize single decimal or hex digits.
- Minor bug fixes and additional character names from Debian.

* Mon Oct 19 2010 Eric S. Raymond <esr@snark.thyrsus.com> - 3.10-1
- License change to BSD. Polish code to modern fully-ANSI C.

* Thu Oct 13 2010 Eric S. Raymond <esr@snark.thyrsus.com> - 3.9-1
- Fix some bugs in the name table.

* Thu Mar  3 2005 Eric S. Raymond <esr@snark.thyrsus.com> - 3.8-1
- Well, that was embarrassing.  Note to self: *test the correct version
  next time*.  Thanks to Marco Vanoni for the fix patch.

* Wed Mar  2 2005 Eric S. Raymond <esr@snark.thyrsus.com> - 3.7-1
- Fix a comment bug in the nametable. Improve splashscreen generation.

* Sun Jan 11 2004 Eric S. Raymond <esr@snark.thyrsus.com> 3.6-1
- Fix brown-paper-bag bug in the Space entry.

* Sun Dec 28 2003 Eric S. Raymond <esr@snark.thyrsus.com> 3.5-1
- Source RPMs no longer require myversion to be defined.

* Wed Dec 24 2003 Eric S. Raymond <esr@snark.thyrsus.com> 3.4-1
- Fix error in ! entry in nametable file.

* Wed Dec 24 2003 Eric S. Raymond <esr@snark.thyrsus.com> 3.3-1
- Fix portability bug in Makefile sed script.

* Mon Dec 15 2003 Eric S. Raymond <esr@snark.thyrsus.com> 3.2-1
- Add knowledge of XML entity names.

First released by Eric S. Raymond <esr@snark.thyrsus.com>, v1.0 March 1990

v1.1 November 1990  -- revised `slang' from the 2.2 pronunciation guide
v1.2 March 1995     -- Fixed a core-dump bug
v1.3 October 1995   -- Fixed a bug that shows up only under ELF.
v2.0 December 1995  -- Interpret ISO-style code table escapes.
v2.1 August 1997    -- merge in changes by Ioannis Tambouras.
v2.2 November 1997  -- merge in more changes by Ioannis Tambouras. 
v2.3 November 1997  -- incorporated Colin Plumb's splash-screen idea.
v2.4 December 1998  -- additions by Brian Ginsbach.
v2.5 December 1998  -- -s option by David N. Welton.
v2.6 June 1999      -- bug fixes by M.R. van Schouwen.
v2.7 October 1999   -- minor packaging and option changes.
v3.0 July 2000	    -- added HTML/SGML entity names
v3.1 July 2002      -- documentation converted to XML


